Bug 67768 - Next step in autotools cleanup
Next step in autotools cleanup
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ade
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-09 21:40 UTC by ade
Modified: 2004-07-01 18:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ade freebsd_committer 2004-06-09 21:40:11 UTC
	(1) kill devel/autoconf257, replacing it with devel/autoconf259
	(2) kill devel/automake17, replacing it with devel/automake18
	(3) kill devel/libtool14, replacing with either libtool13 or 15
	(4) minor bsd.autotools.mk cleanup
	(5) add a couple of new helper variables to bsd.autotools.mk
	    that were being generated by port Makefiles
	(6) clean up libtool15 with a patch from marcus@

Fix: 

Grab http://people.FreeBSD.org/~ade/patches/autotools.patch
	cd /usr/ports (or wherever)
	sh /where/it/is/autotools.patch
	<code/input/activities to reproduce the problem (multiple lines)>

	Whilst not many ports are affected by these changes, a 4-exp
	run should be done on this to verify no fallout before commit.
How-To-Repeat: 	N/A
Comment 1 ade freebsd_committer 2004-06-09 21:42:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr for 4-exp testing.
Comment 2 kris freebsd_committer 2004-06-26 00:48:31 UTC
State Changed
From-To: open->analyzed

Now testing on pointyhat
Comment 3 ade freebsd_committer 2004-07-01 18:07:39 UTC
State Changed
From-To: analyzed->closed
Comment 4 ade freebsd_committer 2004-07-01 18:07:39 UTC
Responsible Changed
From-To: portmgr->ade

I did the dirty work after the 4-exp runs.